package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiWork;

/**
 * ai作品Mapper接口
 *
 * @author shi
 * @date 2025-11-25
 */
public interface AiWorkMapper extends BaseMapper<AiWork> {
    int deleteAiWorkByIds(Long[] ids);

    int deleteAiWorkById(Long id);

    List<AiWork> selectAiWorkList(AiWork aiWork);
}
